// $Id: PvmTest.java,v 1.1 1996/12/16 21:07:58 dave Exp $
// --------------------------------------------------------------------
// JavaPVM - an interface to the Parallel Virtual Machine for Java
// --------------------------------------------------------------------
//
// FILE:	$RCSfile: PvmTest.java,v $
//
// AUTHOR:	David A. Thurman 
//		Center for Human-Machine Systems Research
//		Georgia Institute of Technology
//		Atlanta, Georgia
//
//		dave@chmsr.gtech.edu
//
// --------------------------------------------------------------------
//
// $Log: PvmTest.java,v $
// Revision 1.1  1996/12/16 21:07:58  dave
// Initial revision
//
// Revision 1.1  1996/06/04 15:07:52  dave
// Initial revision
//
//
// --------------------------------------------------------------------
// Permission to use and modify this code is hereby granted free of 
// charge, so long as the above comment/acknowledgements block remains
// unchanged.
// --------------------------------------------------------------------

	/**
	 * Example application that containts a GUI and JavaPVM
	 * class and sets up communication with an identical copy
	 * of itself.
	 *
	 * @author 	Dave Thurman<BR>
	 * Center for Human-Machine Systems Research<BR>
	 * School of Industrial and Systems Engineering<BR>
	 * Georgia Institute of Technology<BR>
	 */

public class PvmTest 
{
  DataClient 	_dataClient;
  ExamplePVM	_pvmConn;

	/**
	 *  Creates
	 */

  public PvmTest()
  {
    _pvmConn = new ExamplePVM(this);

    _dataClient = new DataClient("PvmTest GUI", _pvmConn);

    _dataClient.setEnabled(false);

    _pvmConn.start();
  }

	/**
	 *
	 */

  public void enableGUI()
  {
    _dataClient.setEnabled(true);
  }
	
	/**
	 *  Gotta have a main() if we want to run this standalone
	 */

  public static void main (String args[])
  {
    PvmTest pvmTest = new PvmTest();
  }

	/**
	 *  What to do when we receive input from the JavaPVM
	 *  connection.
	 */

  public void handleInput(String input)
  {
    _dataClient.displayMsg(input);
  }
}
