# Makefile
#
# AUTHOR:	David A. Thurman
#
#		Center for Human-Machine Systems Research
#		Georgia Institute of Technology
#		Atlanta, Georgia
#
# --------------------------------------------------------------------

JAVA_HOME	=	C:\Progra~1\java\jdk1.1.5
CC_HOME		=	C:\Progra~1\Devstudio\VC
#PVM_ROOT	=	(from our enviroment) C:\Progra~1\pvm3.4

TARGET = PvmTest

all : $(TARGET)

JAVA_FLAGS = -deprecation

PVM_INCLUDES 	= 	-I$(PVM_ROOT)\include \
					-I$(PVM_ROOT)\src
CC_INCLUDES		=	-I$(CC_HOME)\include

CC = $(CC_HOME)\bin\cl.exe

CFLAGS	=	/nologo /ML /W3 /GX /O2 /D "WIN32" \
			/D "NDEBUG" /D "_CONSOLE" $(PVM_INCLUDES) $(CC_INCLUDES)

LDLIBS	=	$(PVM_ROOT)\lib\win32\libgpvm3.lib \
			$(PVM_ROOT)\lib\win32\libpvm3.lib \
			$(CC_HOME)\lib\wsock32.lib \
			$(CC_HOME)\lib\advapi32.lib
LDFLAGS =	$(LDLIBS) /nologo /subsystem:console \
			/machine:IX86

# --------------------------------------------------------------------
# Put all your source files here.  If you have multiple files, put one
# on each line followed by a '\' characer.
# --------------------------------------------------------------------

SRC = 		\
  PvmTest.java \
  DataClient.java \
  ExamplePVM.java \
  iConst.java

CLASSES = $(SRC:.java=.class)

$(TARGET) : $(SRC) $(CLASSES) pvmEchoTest

pvmEchoTest : pvmEchoTest.obj
	$(CC_HOME)\bin\link pvmEchoTest.obj $(LDFLAGS) /out:"pvmEchoTest.exe"

clean :
	$(RM) $(CLASSES)

realclean :
	$(RM) $(CLASSES) $(TARGET)

# --------------------------------------------------------------------
# Dependency rules 
# --------------------------------------------------------------------

PvmTest.class: PvmTest.java
	$(JAVA_HOME)\bin\javac $(JAVA_FLAGS) PvmTest.java

DataClient.class: DataClient.java
	$(JAVA_HOME)\bin\javac $(JAVA_FLAGS) DataClient.java

ExamplePVM.class: ExamplePVM.java
	$(JAVA_HOME)\bin\javac $(JAVA_FLAGS) ExamplePVM.java

iConst.class: iConst.java
	$(JAVA_HOME)\bin\javac $(JAVA_FLAGS) iConst.java

pvmEchoTest.obj: pvmEchoTest.c
	$(CC) $(CFLAGS) -c pvmEchoTest.c
