// $Id: iConst.java,v 1.1 1996/06/04 15:07:52 dave Exp $
// --------------------------------------------------------------------
// JavaPVM - an interface to the Parallel Virtual Machine for Java
// --------------------------------------------------------------------
//
// FILE:	$RCSfile: iConst.java,v $
//
// AUTHOR:	David A. Thurman 
//		Center for Human-Machine Systems Research
//		Georgia Institute of Technology
//		Atlanta, Georgia
//
//		dave@chmsr.gtech.edu
//
// PURPOSE:	Subclass of JavaPVM to provide necessary functionality
//		for interprocess communications via a separate thread.
//
// --------------------------------------------------------------------
//
// $Log: iConst.java,v $
// Revision 1.1  1996/06/04 15:07:52  dave
// Initial revision
//
//
// --------------------------------------------------------------------
// Permission to use and modify this code is hereby granted free of 
// charge, so long as the above comment/acknowledgements block remains
// unchanged.
// --------------------------------------------------------------------

import java.awt.Color;

public interface iConst
{
	// constants for msgtags

  final int	_StringMsg 	= 	   1;
  final int	_ByteMsg 	= 	   2;
  final int	_DoubleMsg 	= 	   3;
  final int	_FloatMsg 	= 	   4;
  final int	_LongMsg 	= 	   5;
  final int	_ShortMsg 	= 	   6;
  final int	_IntMsg 	= 	   7;
  final int	_TaskExit	=	   8;
  final int	_TidMsg		=	   9;
  final int     _TimeCode       =         20;

	// constants for benchmarking
  final int     _StartBench     =          31;
  final int     _ConfirmBench   =          32;
  final int     _BenchChars     =          33;
  final int     _EndBench       =          34;


  final Color _JavaPvmYellow = Color.yellow;
  final Color _JavaPvmPink = new Color(255, 115, 255);
  final Color _JavaPvmGreen = new Color(16, 255, 132);
}

